- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axiom_soap_header_block.h File Reference

axiom_soap_header_block struct More...

`#include <axutil_env.h>`
`#include <axiom_node.h>`
`#include <axiom_element.h>`
`#include <axutil_array_list.h>`
`#include <axiom_soap_header.h>`

Go to the source code of this file.

## Typedefs
typedef struct axiom_soap_header_block | axiom_soap_header_block_t
## Functions
AXIS2_EXTERN axiom_soap_header_block_t * | axiom_soap_header_block_create_with_parent (const axutil_env_t *env, const axis2_char_t *localname, axiom_namespace_t *ns, struct axiom_soap_header *parent)
AXIS2_EXTERN void | axiom_soap_header_block_free (axiom_soap_header_block_t *header_block, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_header_block_set_role (axiom_soap_header_block_t *header_block, const axutil_env_t *env, axis2_char_t *uri)
AXIS2_EXTERN axis2_status_t | axiom_soap_header_block_set_must_understand_with_bool (axiom_soap_header_block_t *header_block, const axutil_env_t *env, axis2_bool_t must_understand)
AXIS2_EXTERN axis2_status_t | axiom_soap_header_block_set_must_understand_with_string (axiom_soap_header_block_t *header_block, const axutil_env_t *env, axis2_char_t *must_understand)
AXIS2_EXTERN axis2_bool_t | axiom_soap_header_block_get_must_understand (axiom_soap_header_block_t *header_block, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axiom_soap_header_block_is_processed (axiom_soap_header_block_t *header_block, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_header_block_set_processed (axiom_soap_header_block_t *header_block, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axiom_soap_header_block_get_role (axiom_soap_header_block_t *header_block, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_header_block_set_attribute (axiom_soap_header_block_t *header_block, const axutil_env_t *env, const axis2_char_t *attr_name, const axis2_char_t *attr_value, const axis2_char_t *soap_envelope_namespace_uri)
AXIS2_EXTERN axis2_char_t * | axiom_soap_header_block_get_attribute (axiom_soap_header_block_t *header_block, const axutil_env_t *env, const axis2_char_t *attr_name, const axis2_char_t *soap_envelope_namespace_uri)
AXIS2_EXTERN axiom_node_t * | axiom_soap_header_block_get_base_node (axiom_soap_header_block_t *header_block, const axutil_env_t *env)
AXIS2_EXTERN int | axiom_soap_header_block_get_soap_version (axiom_soap_header_block_t *header_block, const axutil_env_t *env)

## Detailed Description

axiom_soap_header_block struct